diff --git a/src/arch/linux/Makefile.main b/src/arch/linux/Makefile.main
index a0677cc1b..36a477577 100644
--- a/src/arch/linux/Makefile.main
+++ b/src/arch/linux/Makefile.main
@@ -37,7 +37,7 @@ DPMI += dosext/dpmi/dnative
 endif
 
 _LIBSUBDIRS=base/video base/dev/vga base/core base/kbd_unicode \
-	arch/linux/async arch/linux/mapping $(LIBMC) \
+	arch/linux/async base/lib/mapping $(LIBMC) \
 	base/misc base/lib/misc base/lib/libpcl base/dev/misc \
 	base/emu-i386 $(XCPUEMU) base/speaker \
 	base/dev/pic base/dev/ne2k \
diff --git a/src/arch/linux/mapping/Makefile b/src/base/lib/mapping/Makefile
similarity index 100%
rename from src/arch/linux/mapping/Makefile
rename to src/base/lib/mapping/Makefile
diff --git a/src/arch/linux/mapping/mapfile.c b/src/base/lib/mapping/mapfile.c
similarity index 100%
rename from src/arch/linux/mapping/mapfile.c
rename to src/base/lib/mapping/mapfile.c
diff --git a/src/arch/linux/mapping/mapping.c b/src/base/lib/mapping/mapping.c
similarity index 100%
rename from src/arch/linux/mapping/mapping.c
rename to src/base/lib/mapping/mapping.c
